Commit ca7f4b5b authored by Leo's avatar Leo
Browse files

main/py3-setuptools: downgrade to 54.2.0

unfortunately newer setuptools versions introduces changes that cause
breakage to a great amount of python3 modules that were written in a
_PERFECTLY_ acceptable form and some that even followed the _EXAMPLES_
provided by upstream.
parent bc89fa02
......@@ -4,8 +4,11 @@
# Maintainer: Leo <thinkabit.ukim@gmail.com>
pkgname=py3-setuptools
_pkgname=${pkgname#py3-}
pkgver=56.0.0
pkgrel=0
# Be very careful when upgrading major versions as upstream
# is prone to deprecating stuff that breaks perfectly acceptable
# setup.py and setup.cfg
pkgver=54.2.0
pkgrel=1
pkgdesc="Collection of enhancements to the Python3 distutils"
options="!check" # Tests require packages out of main/
url="https://pypi.python.org/pypi/setuptools"
......@@ -60,4 +63,4 @@ package() {
python3 setup.py install --prefix=/usr --root="$pkgdir"
}
sha512sums="ea8920135fba6340744cd0944838d0fcdcdf047f4fa39041c3d542b5c429fbeb21641f5a980b6d57300cdc52f6b8e896feda766dd14707080aa37f7ec0832c12 setuptools-56.0.0.tar.gz"
sha512sums="629d43cf3fce2e440fab2c7c57b91c419859e8d75a574550d747294084580e970f6db6ef4dc42a03ae614b246cd73d15e41ed22e85ce3c8dc9be6c87ac53fafd setuptools-54.2.0.tar.gz"
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment